# HubSpot docs: APIs 2026-03 CMS

## CMS

### Blogs

#### Authors

- [CMS API | Blog Authors](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/guide.md): The blog authors endpoints are used to create and manage hubspot blog authors
- [Create an author](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/create-author.md): Create a new Blog Author.
- [Retrieve an author](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/get-author.md): Retrieve the Blog Author object identified by the id in the path.
- [Get all authors](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/get-authors.md): Get the list of blog authors. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.
- [Update an author](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/update-author.md): Sparse updates a single Blog Author object identified by the id in the path. All the column values need not be specified. Only the that need to be modified can be specified.
- [Delete an author](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/delete-author.md): Delete the Blog Author object identified by the id in the path.

##### Batch

- [Create a batch of authors](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/batch/create-authors.md): Create the Blog Author objects detailed in the request body.
- [Retrieve a batch of authors](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/batch/get-authors.md): Retrieve the Blog Author objects identified in the request body.
- [Update a batch of authors](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/batch/update-authors.md): Update the Blog Author objects identified in the request body.
- [Delete a batch of authors](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/batch/delete-authors.md): Delete the Blog Author objects identified in the request body.

##### Multi-language

- [Attach an author to a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/multi-language/attach-to-lang-group.md): Attach a Blog Author to a multi-language group.
- [Create a new language variation](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/multi-language/create-language-variation.md): Create a new language variation from an existing Blog Author.
- [Detach an author from a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/multi-language/detach-from-lang-group.md): Detach a Blog Author from a multi-language group.
- [Set a new primary language](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/multi-language/set-new-lang-primary.md): Set a Blog Author as the primary language of a multi-language group.
- [Update languages of multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/authors/multi-language/update-languages.md): Explicitly set new languages for each Blog Author in a multi-language group.

#### Blog Settings

- [CMS API | Blog Settings](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/blog-settings/guide.md): Use the blog settings endpoints to retrieve and manage HubSpot blogs
- [Get a specific blog revision](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/blog-settings/get-blog-revision.md): Get a specific blog revision.
- [Get all blog revisions](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/blog-settings/get-blog-revisions.md): Get the list of blog revisions. Results can be limited and filtered by creation or updated date.
- [Retrieve a blog](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/blog-settings/get-blog.md): Retrieve a specific blog by its ID.
- [Retrieve all blogs](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/blog-settings/get-blogs.md): Get the list of blogs. Results can be limited and filtered by creation or updated date.

##### Multi-language

- [Add a blog to a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/blog-settings/multi-language/attach-to-lang-group.md): Attach a blog to a multi-language group.
- [Update blog languages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/blog-settings/multi-language/create-blog-setting.md): Explicitly set new languages for each blog in a multi-language group.
- [Create a language variation from an existing blog](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/blog-settings/multi-language/create-language-variation.md): Create a new language variation from an existing blog.
- [Remove a blog from a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/blog-settings/multi-language/detach-from-lang-group.md): Detaches a blog from a multi-language group.
- [Set primary language to match a specific blog](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/blog-settings/multi-language/set-new-lang-primary.md): Set a blog as the primary language of a multi-language group.

#### Posts

- [CMS API | Blog Posts](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/guide.md): Use the blog posts API to create, manage, and publish blog posts on your website.
- [Clone a post](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/clone-post.md): Clone a blog post, making a copy of it in a new blog post.
- [Create a new post](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/create-post.md): Create a new blog post, specifying its content in the request body.
- [Retrieve a post](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/get-post.md): Retrieve a blog post by the post ID.
- [Get all posts](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/get-posts.md): Retrieve all blog posts, with paging and filtering options. This method would be useful for an integration that ingests posts and suggests edits.
- [Schedule a post to be published](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/schedule-post.md): Schedule a blog post to be published at a specified time.
- [Update a post](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/update-post.md): Partially updates a single blog post by ID. You only need to specify the values that you want to update.
- [Delete a post](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/delete-post.md): Delete a blog post by ID.

##### Batch

- [Create a batch of posts](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/batch/create-posts.md): Create a batch of blog posts, specifying their content in the request body.
- [Retrieve a batch of posts](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/batch/get-posts.md): Retrieve a batch of blog posts by ID. identified in the request body.
- [Update a batch of posts](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/batch/update-posts.md): Update a batch of blog posts.
- [Delete a batch of posts](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/batch/delete-posts.md): Delete a blog post by ID.  Note: This is not the same as the in-app `archive` function. To perform a dashboard `archive` send an normal update with the `archivedInDashboard` field set to `true`.

##### Drafts

- [Retrieve the full draft version of a post](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/drafts/get-post-draft.md): Retrieve the full draft version of a blog post.
- [Publish a post draft](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/drafts/publish-draft.md): Publish the draft version of the blog post, sending its content to the live page.
- [Update the draft of a post](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/drafts/update-post-draft.md): Partially updates the draft version of a single blog post by ID. You only need to specify the values that you want to update.

##### Multi-language

- [Attach post to a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/multi-language/attach-to-lang-group.md): Attach a blog post to a [multi-language group](https://developers.hubspot.com/docs/guides/cms/content/multi-language-content).
- [Create a language variation](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/multi-language/create-language-variation.md): Create a new language variation from an existing blog post
- [Detach post from a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/multi-language/detach-from-lang-group.md): Detach a blog post from a [multi-language group](https://developers.hubspot.com/docs/guides/cms/content/multi-language-content).
- [Set a new primary language](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/multi-language/set-new-lang-primary.md): Set the primary language of a [multi-language group](https://developers.hubspot.com/docs/guides/cms/content/multi-language-content) to the language of the provided post (specified as an ID in the request body)
- [Update languages of multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/multi-language/update-languages.md): Explicitly set new languages for each post in a [multi-language group](https://developers.hubspot.com/docs/guides/cms/content/multi-language-content).

##### Revisions

- [Retrieve a previous version of a post](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/revisions/get-post-version.md): Retrieve a previous version of a blog post.
- [Retrieves all previous versions of a post](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/revisions/get-post-versions.md): Retrieve all the previous versions of a blog post.
- [Restore a previous version](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/revisions/restore-post.md): Restores a blog post to one of its previous versions.
- [Restore a draft to a previous version](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/posts/revisions/restore-to-draft.md): Takes a specified version of a blog post, sets it as the new draft version of the blog post.

#### Tags

- [CMS API | Blog tags](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/guide.md): Use the blog tags API to create, manage, and organize blog post tags.
- [Create a tag](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/create-tag.md): Create a new Blog Tag.
- [Retrieve a tag](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/get-tag.md): Retrieve the Blog Tag object identified by the id in the path.
- [Retrieve all tags](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/get-tags.md): Get the list of blog tags. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.
- [Update a tag](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/update-tag.md): Sparse updates a single Blog Tag object identified by the id in the path. All the column values need not be specified. Only the that need to be modified can be specified.
- [Delete a tag](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/delete-tag.md): Delete the Blog Tag object identified by the id in the path.

##### Batch

- [Create a batch of tags](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/batch/create-tags.md): Create the Blog Tag objects detailed in the request body.
- [Retrieve a batch of tags](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/batch/get-tags.md): Retrieve the Blog Tag objects identified in the request body.
- [Update a batch of tags](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/batch/update-tags.md): Update the Blog Tag objects identified in the request body.
- [Delete a batch of tags](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/batch/delete-tags.md): Delete the Blog Tag objects identified in the request body.

##### Multi-language

- [Attach a tag to a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/multi-language/attach-to-lang-group.md): Attach a Blog Tag to a multi-language group.
- [Create a new language variation](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/multi-language/create-language-variation.md): Create a new language variation from an existing Blog Tag
- [Detach a tag from a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/multi-language/detach-from-lang-group.md): Detach a Blog Tag from a multi-language group.
- [Set a new primary language](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/multi-language/set-new-lang-primary.md): Set a Blog Tag as the primary language of a multi-language group.
- [Update languages of multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/blogs/tags/multi-language/update-languages.md): Explicitly set new languages for each Blog Tag in a multi-language group.

### Content audit

- [CMS content audit API](https://developers.hubspot.com/docs/api-reference/2026-03/cms/content-audit/guide.md): The CMS content audit API allows you to filter and sort on content changes by type, time period, or HubSpot user ID to understand content change history.
- [Export content audit logs](https://developers.hubspot.com/docs/api-reference/2026-03/cms/content-audit/export-content-audit.md)
- [Retrieve content audit logs](https://developers.hubspot.com/docs/api-reference/2026-03/cms/content-audit/get-content-audit.md)

### Domains

- [CMS API | Domain management](https://developers.hubspot.com/docs/api-reference/2026-03/cms/domains/guide.md): Retrieve domains and their associated details from a HubSpot account.
- [Retrieve a domain](https://developers.hubspot.com/docs/api-reference/2026-03/cms/domains/get-domain.md): Returns a single domains with the id specified.
- [Retrieve all domains](https://developers.hubspot.com/docs/api-reference/2026-03/cms/domains/get-domains.md)

### HubDB

- [CMS API | HubDB](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/guide.md): The HubDB endpoints are used to get and manage data in your HubDB data tables.

#### Rows

- [Clone rows in batch](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/batch-clone-rows-draft.md): Clones rows in the draft version of the specified table, given a set of row ids. Maximum of 100 row ids per call.
- [Create rows in batch](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/batch-create-rows-draft.md): Creates rows in the draft version of the specified table, given an array of row objects. Maximum of 100 row object per call. See the overview section for more details with an example.
- [Get a set of rows from draft table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/batch-read-rows-draft.md): Returns rows in the draft version of the specified table, given a set of row IDs.
- [Get a set of rows](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/batch-read-rows.md): Returns rows in the published version of the specified table, given a set of row IDs. **Note:** This endpoint can be accessed without any authentication if the table is set to be allowed for public access.
- [Replace rows in batch in draft table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/batch-replace-rows-draft.md): Replaces multiple rows as a batch in the draft version of the table, with a maximum of 100 rows per call. See the endpoint `PUT /tables/{tableIdOrName}/rows/{rowId}/draft` for details on updating a single row.
- [Update rows in batch in draft table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/batch-update-rows.md): Updates multiple rows as a batch in the draft version of the table, with a maximum of 100 rows per call. See the endpoint `PATCH /tables/{tableIdOrName}/rows/{rowId}/draft` for details on updating a single row.
- [Clone a row](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/clone-row-draft.md): Clones a single row in the draft version of a table.
- [Add a row to a table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/create-row.md): Add a new row to a HubDB table. New rows will be added to the draft version of the table. Use the `/publish` endpoint to push these changes to published version.
- [Get a row from the draft table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/get-hubdb-draft.md): Get a single row by ID from a table's draft version.
- [Get a table row](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/get-row.md): Get a single row by ID from the published version of a table. **Note:** This endpoint can be accessed without any authentication, if the table is set to be allowed for public access.
- [Get rows from draft table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/get-rows-draft.md): Returns rows in the draft version of the specified table. Row results can be filtered and sorted. Filtering and sorting options will be sent as query parameters to the API request. For example, by adding the query parameters `column1__gt=5&sort=-column1`, API returns the rows with values for column…
- [Get rows for a table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/get-rows.md): Returns a set of rows in the published version of the specified table. Row results can be filtered and sorted. Filtering and sorting options will be sent as query parameters to the API request. For example, by adding the query parameters `column1__gt=5&sort=-column1`, API returns the rows with value…
- [Update a row](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/update-hubdb-draft-rowId.md): Partially update a single row in the table's draft version. All the column values need not be specified. Only the columns or fields that needs to be modified can be specified. See the "Create a row" endpoint for instructions on how to format the JSON row definitions.
- [Replace an existing row](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/update-hubdb-draft.md): Replace a single row in the draft version of a table. All column values must be specified. If a column has a value in the target table and this request doesn't define that value, it will be deleted. See the "Create a row" endpoint for instructions on how to format the JSON row definitions.
- [Permanently deletes a row](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/delete-hubdb-draft.md): Permanently deletes a row from a table's draft version.
- [Delete rows](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/rows/delete-row-draft.md): Permanently deletes rows from the draft version of the table, given a set of row IDs. Maximum of 100 row IDs per call.

#### Tables

- [Clone a table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/clone-table-draft.md): Clone an existing HubDB table. The `newName` and `newLabel` of the new table can be sent as JSON in the request body. This will create the cloned table as a draft.
- [Create a table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/create-table.md): Creates a new draft HubDB table given a JSON schema. The table name and label should be unique for each account.
- [Export a draft table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/export-table-draft.md): Exports the draft version of a table to CSV / EXCEL format.
- [Export a published version of a table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/export-table.md): Exports the published version of a table in a specified format.
- [Get details for a draft table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/get-hubdb-draft-tableIdOrName.md): Get the details for the draft version of a specific HubDB table. This will include the definitions for the columns in the table and the number of rows in the table.
- [Return all draft tables](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/get-hubdb-draft.md): Returns the details for each draft table defined in the specified account, including column definitions.
- [Get details of a published table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/get-table.md): Returns the details for the published version of the specified table. This will include the definitions for the columns in the table and the number of rows in the table.
- [Get all published tables](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/get-tables.md): Returns the details for the published version of each table defined in an account, including column definitions.
- [Import data into draft table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/import-table-draft.md): Import the contents of a CSV file into an existing HubDB table. The data will always be imported into the draft version of the table. Use the `/publish` endpoint to push these changes to the published version. This endpoint takes a multi-part POST request. The first part will be a set of JSON-format…
- [Publish a table from draft](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/publish-table-draft.md): Publishes the table by copying the data and table schema changes from draft version to the published version, meaning any website pages using data from the table will be updated.
- [Reset a table draft](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/reset-table-draft.md): Replaces the data in the draft version of the table with values from the published version. Any unpublished changes in the draft will be lost after this call is made.
- [Unpublish a table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/unpublish-table.md): Unpublishes the table, meaning any website pages using data from the table will not render any data.
- [Update an existing table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/update-hubdb-draft.md): Update an existing HubDB table. You can use this endpoint to add or remove columns to the table as well as restore an archived table. Tables updated using the endpoint will only modify the draft verion of the table. Use the `/publish` endpoint to push all the changes to the published version. To res…
- [Delete a table version](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/delete-table-version.md): Delete a specific version of a table
- [Archive a table](https://developers.hubspot.com/docs/api-reference/2026-03/cms/hubdb/tables/delete-table.md): Archive (soft delete) an existing HubDB table. This archives both the published and draft versions.

### Media Bridge

- [CMS API | Media Bridge](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/guide.md)

#### Batch

- [Create multiple properties](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/batch/create-properties.md): Create multiple properties in a batch for a specified object type within a given app. This endpoint is useful for efficiently setting up multiple properties at once, reducing the need for multiple individual API calls.
- [Get the details for multiple properties](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/batch/get-properties.md): Retrieve a batch of properties for a specified object type within a given app. This endpoint is useful for fetching multiple properties efficiently in a single request, especially when dealing with large datasets or when specific properties are needed for processing.
- [Archive multiple properties](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/batch/delete-properties.md): Archive multiple properties for a specified object type within a given app. This endpoint is useful for managing large sets of properties that are no longer needed or should be hidden from active use. It requires specifying the app ID and object type in the path parameters.

#### Integrator Settings

- [Set up a new oEmbed domain](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/integrator-settings/configure-oembed-domain.md): Create a new oEmbed domain setting for a specific app in your HubSpot account. This endpoint allows you to define domains that can be used for oEmbed purposes, facilitating the integration of media content from external sources.
- [Get object types for a supported media](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/integrator-settings/get-object-types.md): Retrieve the object definitions for a specified media type within an app. This endpoint allows you to access the settings related to the object definitions of various media types such as VIDEO, AUDIO, DOCUMENT, OTHER, and IMAGE. It is useful for understanding the structure and properties associated…
- [Get an oEmbed domain](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/integrator-settings/get-oembed-domain.md): Retrieve details of a specific oEmbed domain for a given app. This endpoint is useful for fetching configuration or settings related to oEmbed domains associated with a particular application.
- [Update the media bridge app name](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/integrator-settings/update-app-name.md): Update the settings for a specific app in the MediaBridgeService. This endpoint allows you to modify the configuration settings associated with the specified appId. It is useful for updating app-specific settings to ensure they align with your current requirements.
- [Update an oEmbed domain](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/integrator-settings/update-oembed-domain.md): Update the settings for a specific oEmbed domain associated with a given app. This endpoint allows you to modify the configuration of an oEmbed domain, which can be useful for managing how media content is embedded across different domains.
- [Delete an oEmbed domain](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/integrator-settings/delete-oembed-domain.md): Delete oEmbed domains associated with a specific app in HubSpot. This operation allows you to manage and remove domains that are no longer needed for embedding media content within the app's settings.

#### Properties

- [Create a new property group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/properties/create-property-group.md): Create a new property group for a specified object type within a given app. This endpoint allows you to organize properties into groups, making it easier to manage and categorize them within your application.
- [Create a new property](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/properties/create-property.md): Create a new property for a specified object type within a given app in the MediaBridge service. This endpoint allows you to define new properties that can be used to store additional information related to the object type. The request must include the necessary property details in the request body.
- [Get the properties for an object type.](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/properties/get-properties.md): Retrieve properties for a specified object type within a given app. This endpoint allows you to filter properties based on whether they are archived and to specify which properties to include in the response. It is useful for accessing and managing the properties associated with different object typ…
- [Get the details for a property](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/properties/get-property-details.md): Retrieve a specific property for a given object type within a specified app. This endpoint allows you to access details about a property, including its configuration and settings, for a particular object type identified by the property name. This can be useful for understanding property configuratio…
- [Get a specific property group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/properties/get-property-group.md): Retrieve a specific property group for a given object type within an app. This endpoint is useful for accessing detailed information about how properties are grouped under a specific group name for a particular object type in your application.
- [Update a property group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/properties/update-property-group.md): Update the properties of a specific group within a specified object type for a given app. This operation allows you to modify the details of a property group, such as its label or display order, within the context of the MediaBridge service.
- [Update a property](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/properties/update-property.md): Update an existing property for a specified object type within a given app. This operation allows you to modify the details of a property, such as its label, type, or description, to better fit your application's requirements.
- [Delete a property group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/properties/delete-property-group.md): Delete a specific property group for a given object type within an app. This operation is useful for removing unnecessary or obsolete property groups, helping to maintain a clean and organized structure within your app's properties.
- [Delete a property](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/properties/delete-property.md): Delete a specific property from a given object type within an app. This operation is useful for removing properties that are no longer needed or were created in error. The endpoint requires specifying the app ID, object type, and property name to identify the property to be deleted.

#### Schemas

- [Create association definition](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/schemas/create-association-definition.md): Create new associations for a specified object type within a given app. This endpoint allows you to define relationships between different object types, enhancing data connectivity and integration within your HubSpot account.
- [Create a new object type](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/schemas/create-object-type.md): Create new object definitions for a specific app in the HubSpot Media Bridge. This endpoint is used to define new objects that can be utilized within the app, allowing for customization and integration of media-related functionalities.
- [Create a video association definition](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/schemas/create-video-association-definition.md): Create a video association definition for a specific application in the HubSpot Media Bridge. This endpoint is used to define how videos are associated with other objects within the specified app. It is particularly useful for applications that need to manage video content and its relationships prog…
- [Get all schemas ](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/schemas/get-schemas.md): Retrieve the schemas associated with a specific app in the HubSpot account. This endpoint allows you to fetch schema details, which can be useful for understanding the data structure and properties associated with the app. You can optionally filter the results to include only archived schemas.
- [Update the schema for an object type](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/schemas/update-schema.md): Update the schema for a specific object type within a given app. This operation allows you to modify the existing schema details, which can be useful for adapting to changes in data structure requirements or business logic.
- [Delete an association definition](https://developers.hubspot.com/docs/api-reference/2026-03/cms/media-bridge/schemas/delete-association-definition.md): Remove an existing association between schemas for a specified app in the MediaBridge service. This operation is useful when you need to disassociate entities that are no longer related or to clean up outdated associations.

### Pages

- [CMS API | Pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/guide.md): The pages endpoint is used to create and manage HubSpot pages

#### Landing Pages

- [Clone a landing page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/clone-landing-page.md): Create a copy of an existing landing page.
- [Create a landing page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/create-landing-page.md): Create a new landing page.
- [Retrieve a landing page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/get-landing-page.md): Retrieve a landing page, specified by its ID.
- [Get all landing pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/get-landing-pages.md): Retrieve a list of landing pages in your HubSpot account. This endpoint allows you to filter landing pages based on creation and update timestamps, sort them, and paginate through results. You can also choose to include archived pages or specify certain properties to be included in the response.
- [Schedule landing page publishing](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/schedule-landing-page.md): Schedule a landing page to be published.
- [Update a landing page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/update-landing-page.md): Sparse updates a single Landing Page object identified by the id in the path. You only need to specify the column values that you are modifying.
- [Delete a landing page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/delete-landing-page.md): Delete a landing page, specified by its ID.

##### A/B tests

- [Create a new A/B test variation](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/ab-tests/create-variation.md): Create a new A/B test variation based on the information provided in the request body.
- [End an active A/B test](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/ab-tests/end-ab-test.md): End an active A/B test and designate a winner.
- [Rerun a previous A/B test](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/ab-tests/rerun-ab-test.md): Rerun a previous A/B test.

##### Batch

- [Delete landing pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/batch/archive-landing-pages.md): Delete landing pages specified by ID in the request body. Note: this is not the same as the dashboard `archive` function. To perform a dashboard `archive` send an normal update with the `archivedInDashboard` field set to `true`.
- [Create landing pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/batch/create-landing-pages.md): Create a batch of landing pages as detailed in the request body.
- [Retrieve landing pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/batch/read-landing-pages.md): Retrieve a batch of landing pages as specified in the request body.
- [Update landing pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/batch/update-landing-pages.md): Update a batch of landing pages as specified in the request body.

##### Drafts

- [Retrieve a landing page draft](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/drafts/get-landing-page-draft.md): Retrieve the full draft version of a landing page, specified by page ID.
- [Publish a landing page draft](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/drafts/publish-landing-page-draft.md): Take any changes from the draft version of the Landing Page and apply them to the live version.
- [Reset a landing page draft](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/drafts/reset-landing-page-draft.md): Discards any edits and resets the draft to match the live version.
- [Update the draft of a landing page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/drafts/update-landing-page-draft.md): Partially updates the draft version of a single landing page, specified by its ID. You only need to specify the column values that you are modifying.

##### Folders

- [Archive folders](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/batch-archive-folders.md): Delete a batch of folders as specified in the request body.
- [Create folders](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/batch-create-folders.md): Create a batch of folders as detailed in the request body.
- [Retrieve folders](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/batch-read-folders.md): Retrieve a batch of landing page folders as identified in the request body.
- [Update folders](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/batch-update-folders.md): Update a batch of landing page folders as specified in the request body.
- [Create a landing page folder](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/create-folder.md): Create a new folder for landing pages.
- [Retrieve a previous version of a folder](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/get-folder-revision.md): Retrieve a previous version of a folder, specified by the folder ID and revision ID.
- [Retrieves previous versions of a folder](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/get-folder-revisions.md): Retrieves all the previous versions of a landing page folder.
- [Retrieve a landing page folder](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/get-folder.md): Retrieve a landing page folder, specified by its ID.
- [Get all landing page folders](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/get-folders.md): Get the list of Landing Page Folders. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.
- [Restore a previous version of a folder](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/restore-folder-revision.md): Takes a specified version of a landing page folder and restores it.
- [Update a landing page folder](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/update-folder.md): Partially update a landing page folder, specified by the folder ID. You only need to specify the details values that you are modifying.
- [Delete a landing page folder](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/folders/delete-folder.md): Delete a landing page folder, specified by its ID.

##### Multi-language

- [Add a landing page to a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/multi-language/attach-to-lang-group.md): Attach a landing page to a multi-language group.
- [Create a new language variation](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/multi-language/create-language-variation.md): Create a new language variation from an existing landing page. The variation will be a copy of the draft state of the source page. To preview the content, you can [retrieve the draft of the source landing page](/api-reference/latest/cms/pages/landing-pages/drafts/get-landing-page-draft).
- [Remove a landing page from a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/multi-language/detach-from-lang-group.md): Detach a landing page from a multi-language group.
- [Set a new primary language](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/multi-language/set-new-lang-primary.md): Set a landing page as the primary language of a multi-language group.
- [Update languages of multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/multi-language/update-languages.md): Explicitly set new languages for each landing page in a multi-language group.

##### Revisions

- [Retrieve a previous version of a landing page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/revisions/get-landing-page-revision.md): Retrieve a previous version of a landing page, specified by page ID and revision ID.
- [Retrieve all previous versions of a landing page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/revisions/get-landing-page-revisions.md): Retrieve all the previous versions of a landing page, specified by page ID.
- [Restore a previous version of a landing page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/revisions/restore-landing-page-revision.md): Restores a previous version of a landing page, specified by page ID and revision ID.
- [Restore a previous version of a landing page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/landing-pages/revisions/restore-landing-page-to-draft.md): Specify a previous version of a landing page to set as the page draft.

#### Website pages

- [Clone a website page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/clone-website-page.md): Create a copy of an existing website page.
- [Create a website page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/create-website-page.md): Create a new website page.
- [Retrieve a website page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/get-website-page.md): Retrieve a website page by its ID.
- [Retrieve all website pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/get-website-pages.md): Retrieve all website pages. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.
- [Schedule a website page to be published](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/schedule-website-page.md): Schedule a website page to published at a future time.
- [Update a website page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/update-website-page.md): Partially updates a single website page, specified by its ID. You only need to specify the column values that you are modifying.
- [Delete a website page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/delete-website-page.md): Delete a website page, specified by its ID.

##### A/B tests

- [Create a new A/B test variation](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/ab-tests/create-variation.md): Create a new A/B test variation based on the information provided in the request body.
- [End an active A/B test](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/ab-tests/end-ab-test.md): End an active A/B test and designate a winner.
- [Rerun a previous A/B test](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/ab-tests/rerun-ab-test.md): Rerun a previous A/B test.

##### Batch

- [Delete website pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/batch/archive-website-pages.md): Delete a batch of website pages as specified in the request body. Note that this is not the same as the dashboard `archive` function. To perform a dashboard `archive` send an normal update with the `archivedInDashboard` field set to `true`.
- [Create website pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/batch/create-website-pages.md): Create a batch of website pages as specified in the request body.
- [Retrieve website pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/batch/read-website-pages.md): Retrieve a batch of website pages as specified in the request body.
- [Update website pages](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/batch/update-website-pages.md): Update a batch of website pages as specified in the request body.

##### Drafts

- [Retrieve a website page draft](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/drafts/get-website-page-draft.md): Retrieve the full draft version of a website page, specified by its ID.
- [Publish website page draft](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/drafts/publish-website-page-draft.md): Take any changes from the draft version of the website page and apply them to the live version.
- [Reset the draft of a website page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/drafts/reset-website-page-draft.md): Discards any edits and resets the draft to match the live version.
- [Update a website page draft](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/drafts/update-website-page-draft.md): Partially update the draft version of a website page, specified by page ID. You only need to specify the values for the details that you're modifying.

##### Multi-language

- [Add a website page to a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/multi-language/attach-to-lang-group.md): Attach a site page to a multi-language group.
- [Create a new language variation](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/multi-language/create-language-variation.md): Create a new language variation from an existing website page. The variation will be a copy of the draft state of the source page. To preview the content, you can [retrieve the draft of the source website page](/api-reference/latest/cms/pages/website-pages/drafts/get-website-page-draft).
- [Remove a website page from a multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/multi-language/detach-from-lang-group.md): Detach a website page from a multi-language group.
- [Set a new primary language](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/multi-language/set-new-lang-primary.md): Set a site page as the primary language of a multi-language group.
- [Update languages of multi-language group](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/multi-language/update-languages.md): Explicitly set new languages for each site page in a multi-language group.

##### Revisions

- [Retrieve a previous version of a website page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/revisions/get-website-page-revision.md): Retrieve a previous version of a website page by the revision ID.
- [Retrieve all previous versions of a website page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/revisions/get-website-page-revisions.md): Retrieves all the previous versions of a website page, specified by page ID.
- [Restore a previous version of a website page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/revisions/restore-website-page-revision.md): Restores a website page to a previous version, specified by page ID and version ID.
- [Restore a previous draft of a website page](https://developers.hubspot.com/docs/api-reference/2026-03/cms/pages/website-pages/revisions/restore-website-page-to-draft.md): Takes a specified version of a website page and sets it as the new draft version of the page.

### Site Search

- [Site search API](https://developers.hubspot.com/docs/api-reference/2026-03/cms/site-search/guide.md): Use the site search API to search for content across your HubSpot-hosted sites and retrieve indexed data for specific assets.
- [Get indexed properties](https://developers.hubspot.com/docs/api-reference/2026-03/cms/site-search/get-indexed-data.md): Return all indexed data for an asset (e.g., page, blog post, HubDB table), specified by ID. This is useful when debugging why a particular asset is not returned from a custom search.
- [Search your site](https://developers.hubspot.com/docs/api-reference/2026-03/cms/site-search/search-site.md)

### Source code

- [Source Code API](https://developers.hubspot.com/docs/api-reference/2026-03/cms/source-code/guide.md): Create, fetch, update, and delete, files in the HubSpot developer file system. Additionally you can validate files for different types of errors & warnings
- [Create a file](https://developers.hubspot.com/docs/api-reference/2026-03/cms/source-code/create-source-code-file.md): Creates a file at the specified path in the specified environment. Accepts multipart/form-data content type. Throws an error if a file already exists at the specified path.
- [Retrieve file metadata](https://developers.hubspot.com/docs/api-reference/2026-03/cms/source-code/get-file-metadata.md): Gets the metadata object for the file at the specified path in the specified environment.
- [Download a file](https://developers.hubspot.com/docs/api-reference/2026-03/cms/source-code/get-source-code-file.md): Downloads the byte contents of the file at the specified path in the specified environment.
- [Create or update a file](https://developers.hubspot.com/docs/api-reference/2026-03/cms/source-code/update-source-code-file.md): Upserts a file at the specified path in the specified environment. Accepts multipart/form-data content type.
- [Validate the contents of a file](https://developers.hubspot.com/docs/api-reference/2026-03/cms/source-code/validate-source-code-file.md): Validates the file contents passed to the endpoint given a specified path and environment. Accepts multipart/form-data content type.
- [Delete a file](https://developers.hubspot.com/docs/api-reference/2026-03/cms/source-code/delete-source-code-file.md): Deletes the file at the specified path in the specified environment.

#### Extract

- [Extract source code in a zip file](https://developers.hubspot.com/docs/api-reference/2026-03/cms/source-code/extract/extract-source-code.md): Extract a zip file in the developer file system. Extraction status can be checked with the `/extract/async/tasks/taskId/status` endpoint below.
- [Get extraction status](https://developers.hubspot.com/docs/api-reference/2026-03/cms/source-code/extract/get-extraction-status.md): Get the status of an extraction by the `taskId` returned from the initial `extract/async` request.

### URL mappings

- [Create a mapping](https://developers.hubspot.com/docs/api-reference/2026-03/cms/url-mappings/create-url-mapping.md): Create a new URL mapping in your HubSpot account. This endpoint allows you to define URL redirections and mappings, which can be useful for managing site navigation and SEO. The request body must include all required properties of the UrlMapping schema.
- [Retrieve a mapping](https://developers.hubspot.com/docs/api-reference/2026-03/cms/url-mappings/get-url-mapping.md): Retrieve a specific URL mapping by its unique identifier. This endpoint is useful for obtaining details about a particular URL mapping configuration within your HubSpot account. It requires the ID of the URL mapping as a path parameter.
- [Retrieve mappings](https://developers.hubspot.com/docs/api-reference/2026-03/cms/url-mappings/get-url-mappings.md): Retrieve a list of URL mappings from the HubSpot account. This endpoint provides access to URL mapping configurations, which can be used to manage and redirect URLs within the HubSpot CMS. It is useful for understanding how URLs are structured and redirected in your content management setup.
- [Delete a mapping](https://developers.hubspot.com/docs/api-reference/2026-03/cms/url-mappings/delete-url-mapping.md): Delete a specific URL mapping in your HubSpot account using its unique identifier. This operation will remove the URL mapping permanently, and it requires appropriate write and delete permissions.

### URL redirects

- [URL redirects API](https://developers.hubspot.com/docs/api-reference/2026-03/cms/url-redirects/guide.md): Use the URL redirects API to manage URL redirects for HubSpot-hosted pages
- [Create a redirect](https://developers.hubspot.com/docs/api-reference/2026-03/cms/url-redirects/create-url-redirect.md)
- [Retrieve redirect details](https://developers.hubspot.com/docs/api-reference/2026-03/cms/url-redirects/get-url-redirect.md): Returns the details for a single existing URL redirect by ID.
- [Retrieve current redirects](https://developers.hubspot.com/docs/api-reference/2026-03/cms/url-redirects/get-url-redirects.md)
- [Update a redirect](https://developers.hubspot.com/docs/api-reference/2026-03/cms/url-redirects/update-url-redirect.md): Updates the settings for an existing URL redirect.
- [Delete a redirect](https://developers.hubspot.com/docs/api-reference/2026-03/cms/url-redirects/delete-url-redirect.md): Delete one existing redirect, so it is no longer mapped.

## OpenAPI Specs

- [cms-authors-v2026-03](/docs/specs/2026-03/cms-authors-v2026-03.json)
- [cms-blog-settings-v2026-03](/docs/specs/2026-03/cms-blog-settings-v2026-03.json)
- [cms-posts-v2026-03](/docs/specs/2026-03/cms-posts-v2026-03.json)
- [cms-tags-v2026-03](/docs/specs/2026-03/cms-tags-v2026-03.json)
- [cms-cms-content-audit-v2026-03](/docs/specs/2026-03/cms-cms-content-audit-v2026-03.json)
- [cms-domains-v2026-03](/docs/specs/2026-03/cms-domains-v2026-03.json)
- [cms-hubdb-v2026-03](/docs/specs/2026-03/cms-hubdb-v2026-03.json)
- [cms-media-bridge-v2026-03](/docs/specs/2026-03/cms-media-bridge-v2026-03.json)
- [cms-pages-v2026-03](/docs/specs/2026-03/cms-pages-v2026-03.json)
- [cms-site-search-v2026-03](/docs/specs/2026-03/cms-site-search-v2026-03.json)
- [cms-source-code-v2026-03](/docs/specs/2026-03/cms-source-code-v2026-03.json)
- [cms-url-mappings-v2026-03](/docs/specs/2026-03/cms-url-mappings-v2026-03.json)
- [cms-url-redirects-v2026-03](/docs/specs/2026-03/cms-url-redirects-v2026-03.json)
